function PP = gener_problist(base_proba, N)
% Liste = gener_problist(base_proba, N)
%

if base_proba <= 0.2
	liminf=-4;
	limmax=+11;
	diviseur = 50000;
	corr = -0.125;
elseif base_proba <= 0.3
	liminf=-6;
	limmax=+10;
	diviseur = 55000;
	corr = -0.075;
elseif base_proba <= 0.4
	liminf=-8;
	limmax=+9;
	diviseur = 60000;
	corr = -0.05;
elseif base_proba <= 0.5
	liminf=-10;
	limmax=+8;
	diviseur = 55000;
	corr = -0.04;
elseif base_proba <= 0.6
	liminf=-12;
	limmax=+5;
	diviseur = 40000;
	corr = -0.00;
end

%fid = fopen('generation_1.txt','ab');
PP = ones(1,N)*base_proba;
pp = randperm(N);
nbr=0; while nbr<2, nbr = round(rand*N); end, A=1;
while mean(A)~=0 | min(A)<liminf | max(A)>limmax | max(A)==min(A)
 A=round((rand(1,nbr)+corr)*1000000);
 A=A-mean(A);
 A=round(A/diviseur);
end
for i=1:nbr, PP(pp(i))=A(i)*.05+base_proba; end
PP(find(PP<0))=0;

