N=size(data,1);
score_mat=zeros(N,N);

switch scoring_fn
case 'bic',
    for i=1:(N-1)
            score2 = score_family(i, [], node_type{i}, scoring_fn, node_sizes, discrete, data,[]);
        for j=(i+1):N
            score1 = score_family(i, [j], node_type{i}, scoring_fn, node_sizes, discrete, data,[]);
            score = score2-score1;
            score_mat(i,j)=score;
            score_mat(j,i)=score;
        end
    end
case 'mutual_info',
    for i=1:(N-1)
        for j=(i+1):N
            score_mat(i,j)= -mutual_info_score(i,node_sizes(i),j,node_sizes(j),data);
            score_mat(j,i)=score_mat(i,j);
        end
    end
otherwise,
    error(['unrecognized scoring fn ' scoring_fn]);
end

G = minimum_spanning_tree(score_mat);